package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;

import java.util.List;

/**
 * @author Wynne.Lu
 * @date 2020/8/24 16:50
 * @desc
 */
public class BarRequestModel {

    @ApiParam("产线")
    private String workCenterCode;

    @ApiParam("关键数据代码")
    private String keyData;

    @ApiParam("零件号")
    private List<String> partNos;

    @ApiParam("单组数量")
    private Integer count;

    @ApiParam("组数")
    private Integer groupCount;

    @ApiParam("总数")
    private Integer totalCount;

    @ApiParam("开始时间")
    private String startTime;

    @ApiParam("结束时间")
    private String endTime;

    @ApiParam("均值图")
    private boolean xbar;

    @ApiParam("极差图")
    private boolean rbar;

    @ApiParam("正太分布图")
    private boolean normalDistribution;

    public String getWorkCenterCode() {
        return workCenterCode;
    }

    public void setWorkCenterCode(String workCenterCode) {
        this.workCenterCode = workCenterCode;
    }

    public String getKeyData() {
        return keyData;
    }

    public void setKeyData(String keyData) {
        this.keyData = keyData;
    }

    public List<String> getPartNos() {
        return partNos;
    }

    public void setPartNos(List<String> partNos) {
        this.partNos = partNos;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public Integer getGroupCount() {
        return groupCount;
    }

    public void setGroupCount(Integer groupCount) {
        this.groupCount = groupCount;
    }

    public Integer getTotalCount() {
        return this.count * this.groupCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public boolean isXbar() {
        return xbar;
    }

    public void setXbar(boolean xbar) {
        this.xbar = xbar;
    }

    public boolean isRbar() {
        return rbar;
    }

    public void setRbar(boolean rbar) {
        this.rbar = rbar;
    }

    public boolean isNormalDistribution() {
        return normalDistribution;
    }

    public void setNormalDistribution(boolean normalDistribution) {
        this.normalDistribution = normalDistribution;
    }
}
